Subject: 23.0.60; X toolkit scroll bars for NS variant?

From: Peter Dyballa <[email-masked]>
Date: Wed, 6 Aug 2008 21:48:11 +0200

Hello!

After configuration the configure script tells:

   What window system should Emacs use?                    nextstep
   What toolkit should Emacs use?                          none
   Where do we find X Windows header files?                /usr/X11R6/ 
include
   Where do we find X Windows libraries?                   /usr/X11R6/ 
lib
   Does Emacs use -lXaw3d?                                 no
   Does Emacs use -lXpm?                                   no
   Does Emacs use -ljpeg?                                  no
   Does Emacs use -ltiff?                                  no
   Does Emacs use a gif library?                           no
   Does Emacs use -lpng?                                   no
   Does Emacs use -lrsvg-2?                                no
   Does Emacs use -lgpm?                                   no
   Does Emacs use -ldbus?                                  yes
   Does Emacs use -lfreetype?                              no
   Does Emacs use -lm17n-flt?                              no
   Does Emacs use -lotf?                                   no
   Does Emacs use -lxft?                                   no
   Does Emacs use X toolkit scroll bars?                   yes

The last line is nonsense when configured to use Cocoa in Mac OS X.

In GNU Emacs 23.0.60.1 (powerpc-apple-darwin8.11.0, *Step 9.0)
  of 2008-08-02 on localhost
Windowing system distributor `Apple', version 49.46.48
configured using `configure  '--without-sound' '--without-pop' '-- 
with-dbus' '--enable-locallisppath=/Library/Application Support/Emacs/ 
calendar23:/Library/Application Support/Emacs/caml:/Library/ 
Application Support/Emacs:/sw/share/emacs21/site-lisp/elib' '--with- 
ns' '--disable-ns-self-contained' 'PKG_CONFIG_PATH=/sw/lib/ 
freetype219/lib/pkgconfig:/sw/lib/pango-ft219/lib/pkgconfig:/sw/lib/ 
fontconfig2/lib/pkgconfig:/sw/lib/qt4-x11/lib/pkgconfig:/sw/lib/xft2/ 
lib/pkgconfig:/usr/X11R6/lib/pkgconfig:/sw/lib/pkgconfig:/sw/share/ 
pkgconfig:/usr/lib/pkgconfig:/usr/local/lib/pkgconfig:/sw/lib/system- 
openssl/lib/pkgconfig' 'CPPFLAGS=-no-cpp-precomp -I/sw/include'  
'CFLAGS=-ggdb -gfull -H -bind_at_load -Wno-pointer-sign -pipe -fPIC - 
mcpu=7450 -mtune=7450 -mno-powerpc64 -fast -mpim-altivec -ftree- 
vectorize -fno-crossjumping' 'LDFLAGS=-multiply_defined suppress -L/ 
sw/lib/ncurses -L/sw/lib''

Important settings:
   value of $LC_ALL: nil
   value of $LC_COLLATE: nil
   value of $LC_CTYPE: de_DE.UTF-8
   value of $LC_MESSAGES: nil
   value of $LC_MONETARY: nil
   value of $LC_NUMERIC: nil
   value of $LC_TIME: nil
   value of $LANG: de_DE.UTF-8
   value of $XMODIFIERS: nil
   locale-coding-system: utf-8-unix
   default-enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
   shell-dirtrack-mode: t
   diff-auto-refine-mode: t
   show-paren-mode: t
   display-time-mode: t
   desktop-save-mode: t
   tooltip-mode: t
   mouse-wheel-mode: t
   menu-bar-mode: t
   file-name-shadow-mode: t
   global-font-lock-mode: t
   font-lock-mode: t
   global-auto-composition-mode: t
   auto-composition-mode: t
   auto-encryption-mode: t
   auto-compression-mode: t
   column-number-mode: t
   line-number-mode: t
   transient-mark-mode: t

Recent input:
<help-echo> <menu-bar> <help-menu> <send-emacs-bug
-report>

--
Greetings

   Pete

The mathematician who pursues his studies without clear views of this  
matter, must often have the uncomfortable feeling that his paper and  
pencil surpass him in intelligence.
				– Ernst Mach